/*배경 교체*/
/* default*/

body {
    background-image: url('/img/twit/bg.jpg');
}

.header, .theme {
    background-color: #2788c5;
}

.navi-bar .navi-btn {
    background-color: #2788c5;
    position: relative;
    display: inline-block;
}

i{
    color:#2788c5;
}

/*setting-status*/

.twit-data{
    display: flex;
    justify-content: space-between;
}

.twit-item{
    width:100%;
    margin: 10px;
}

.twit-progress{
    width: auto;
    padding:20px;
}
.twit-notice.data{
    padding-top:20px;
    font-size:15px;
}
/* profile-setting*/
.twit-account{
    max-width: 250px;
    padding: 0 20px;
}

.profile.image{
    width:100px;
    height:100px;
}
.profile.text.name{
    font-size:20px;
}
.profile.text.screen_name{
    font-size:17px;
}

.profile.text.class{
    font-size:17px;
}

.profile.text.friends{
    font-size:15px;
}
.data.type{
    font-size:17px
}


/*option*/

.option-title{
    padding: 20px; 
    font-size: 20px;
    
    letter-spacing: -1px;
    font-weight: 500;
}

.notice{
    padding:0;
}


.description{
    font-size:12px;
    font-weight: 300;
}


.option-list{
    display: flex;
    justify-content: space-between;
    padding: 10px 20px;
    align-items: center;
}
.option-list.input{
    padding-top:0px;
}

.option-line{
    border: 0;
    height:1px;
    margin:0;
    background-color:  rgba(209, 213, 219, 0.3);
}
.option-item{
    text-align: left;
}
.option-item.title{
    letter-spacing: -1px;
    font-weight: 500;
    font-size:15px;
}


.option-item.manual{
    display: inline;
}


.fa-circle-question{
margin-left:3px;
}

/*mode*/
.active.twit-option{

    display: block;
}

.twit-option{

    display: none;
}

.dark-element::-webkit-input-placeholder {
    color: rgb(182, 182, 182);


}

.dark-element::-moz-placeholder {
    color: rgb(182, 182, 182);

}
textarea.dark-element{
    color:white
}

.active .fa-cloud-sun:before {
    content: "\f6c3";
}
.dark{
    background-color: rgb(0 0 0 / 50%);
    color:white
}


/*loaction*/

.location-account {
    padding: 0 20px;
    max-width:600px;
}

.location.text{
    padding: 10px 20px ;
    font-size:15px;
}

.text-cnt{
    bottom: 0;
    right: 0;
    position: fixed;
    margin: 10px;
    font-size: 12px;
    font-weight: 100;
}

#currentCnt{
    display: inline-block;
}

textarea::-webkit-scrollbar {
    display: none; /* Chrome, Safari, Opera*/
}

 textarea{
    outline: 0;
    border: 0;
    background: transparent;
    width:100%;
    border-style: none;
    resize: none;
    -ms-overflow-style: none; /* IE and Edge */
    scrollbar-width: none; /* Firefox */
    margin:5px 0;
    font-family: 'Noto Sans KR', sans-serif;
    font-weight: 200;

}

#location-text{
    font-size: 15px;
}

/*switch*/

.switch {
    position: absolute;
    appearance: none;
    -webkit-appearance: none;
    -moz-appearance: none;
}

.switch_label {
    margin: auto 0;
    float: right;
    position: relative;
    cursor: pointer;
    width: 58px;
    height: 28px;
    background: #fff;
    border: 2px solid #a1cdf7;
    border-radius: 20px;
    transition: 0.2s;
}



.switch_label.mini {
    width: 38px;
    height: 18px;
    background: #fff;
    border: 2px solid #a1cdf7;
    border-radius: 20px;
}


.switch_label:hover {
    background: #e1f1ff;
}

.onf_btn {
    position: absolute;
    top: 4px;
    left: 3px;
    display: inline-block;
    width: 20px;
    height: 20px;
    border-radius: 20px;
    background: #a1cdf7;
    transition: 0.2s;
}

.onf_btn.mini{
    position: absolute;
    top: 3px;
    left: 3px;
    display: inline-block;
    width: 12px;
    height: 12px;
    border-radius: 20px;
    background:   #a1cdf7;
    transition: 0.2s;
}



/* checking style */
.switch:checked+.switch_label {
    background: #248ed0;
    border: 2px solid #248ed0
}

.switch:checked+.switch_label:hover {
    background: #248ed0
}

/* move */
.switch:checked+.switch_label .onf_btn {
    left: 35px;
    background: #fff;
    box-shadow: 1px 2px 3px #ffe8c41f;
}

.switch:checked+.switch_label .onf_btn.mini {
    left: 23px;
    background: #fff;
    box-shadow: 1px 2px 3px #ffe8c41f;
}


/*range*/


.range-input {
    float: right;
    border-radius: 10px;
    margin-top: 3px;
  }
  .range-input input {
    -webkit-appearance:none;
    width:180px;
    height:2px;
    background:#248ed0;
    border:none;
    outline:none;
  }
  .range-input input::-webkit-slider-thumb {
    -webkit-appearance:none;
    width:20px;
    height:20px;
    background:white;
    border:2px solid #a1cdf7;
    border-radius:50%;
  }
  .range-input input::-webkit-slider-thumb:hover {
    
    background:#a1cdf7;
  }
.range-value {
    float: left;
    color: #248ed0;
    font-size: 20px;
    font-weight: 600;
    line-height: 40px;
    height: 40px;
    overflow: hidden;
    margin-right: 5px;
  }
.range-value div {
    transition:all 300ms ease-in-out;
  }

  textarea[disabled]{
    border-radius: 5px;
    background-color: rgb(0, 0, 0,0.1);
 }
 .btn.modal-btn.back:hover{
     background-color:#a1cdf7 ;

 }
 .btn.modal-btn.confirm{
     color:#248ed0;
     background-color:#a1cdf7
 }

 .progress-twit{
     max-width: 350px;
 } 

 .deleted-twit{
    height: 330px;
     padding:20px;
 }

 .profile.image.delete{
     width: 45px;
     height:45px;
     margin-right:10px;
 }


 .profile.info.delete{
     text-align: left;
 }
 .delete>.text.name{
     font-size:14px;
 }

 .delete>.text.screen_name{
    font-size:10px;
}

.twit-data.delete{
    overflow-wrap: anywhere;
    text-align: left;
    font-size: 17px;
    padding:20px 0px;
}

.twit-info.delete{
    display: flex;
    align-items: center;
    justify-content: space-between;
}
.interactive{
    display: flex;
    align-items: center;
    justify-content: flex-start; 
}
.rt.info, .favo.info{
    font-size: 13px;
    display: flex;
    align-items: center;
    justify-content: flex-start;
    margin-right: 20px;
}

.delete>.created_at{
    font-size: 10px;
}
.progress-info{
    padding: 0 20px;
}

.data.type.text.info{
    text-align: left;
}

.progress-data{
    padding:20px;
    margin: 0 0 20px;
}

.progress-data-list{
    display: flex;
    flex-wrap: nowrap;
    align-content: center;
    justify-content: space-evenly;
    align-items: center;
}

.width{
    width:20px;
}

.progress-info table{
    width: 100%;
    margin-bottom: 20px;
    padding:0;

}
th{
    border-left: 1px solid rgba(209, 213, 219, 0.3);;
    width: 25%;
    font-size: 30px;
    padding: 10px;
}

td{
    border-left: 1px solid rgba(209, 213, 219, 0.3);
    font-weight: 700;
    font-size:20px;
    padding: 10px;
}

th:first-child, td:first-child {
    border-left: none;
  }

  progress {
    width: 70%;
    height:5px;
    -webkit-appearance: none;
  }
  
  ::-webkit-progress-bar {
    background-color: white;
  }
  
  ::-webkit-progress-value {
    background-color: #2788c5;
  }

  .twit-notice.data.progress{
    display: flex;
    flex-wrap: nowrap;
    align-content: center;
    justify-content: center;
    flex-direction: column;
    align-items: center;
  }

  .title-text{
    display: flex;
    align-items: center;
    justify-content: center;
  }

  .thread-container{
      max-width: 600px;
      margin:auto;
  }


.show-twit{
    padding:20px
}

  
 .profile.image.show{
    width: 60px;
    height:60px;
    margin-right:10px;
}


.profile.info.show{
    text-align: left;
}


.twit-data.show{
   overflow-wrap: anywhere;
   text-align: left;
   font-size: 18px;
   padding:20px 0px;
}

.twit-info.show{
   display: flex;
   align-items: center;
   justify-content: space-between;
}
.interactive{
   display: flex;
   align-items: center;
   justify-content: flex-start; 
}
.rt.info.show, .favo.info.show{
   font-size: 18px;
   display: flex;
   align-items: center;
   justify-content: flex-start;
   margin-right: 20px;
}

.show>.created_at{
   font-size: 15px;
}

.create_at{
    color:#818181;
}


#twit-preview{
    /* bottom: 0;
    right: 0;
    position: fixed;
    margin: 10px;
    font-weight: 100; */
}

.input-url{
    display: flex;
    align-content: center;
    padding:20px;
}

input{
    font-size: 17px;
    border: 0;
    background: transparent;
    width:100%
}


.box.thread{
    margin: 20px 0;
}


.show-title{
    font-size: 20px;
    letter-spacing: -1px;
    font-weight: 500;
    margin-bottom:20px;
}


#back-main:hover{
    background: #ffffff;
    color: #258ed1;
}
#back-main{
    cursor:pointer;
    font-weight: 700;
    display: none;
    margin: 10px;
    color: #ffffff;
    background: #258ed1;
    padding: 5px 20px;
    border-radius: 50px;
}